# -*- encoding: utf-8 -*-
# stub: metriks 0.9.9.8 ruby lib

Gem::Specification.new do |s|
  s.name = "metriks".freeze
  s.version = "0.9.9.8".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Eric Lindvall".freeze]
  s.date = "2025-04-11"
  s.description = "An experimental metrics client.".freeze
  s.email = "eric@sevenscale.com".freeze
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze]
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "benchmark/samplers.rb".freeze, "lib/metriks.rb".freeze, "lib/metriks/counter.rb".freeze, "lib/metriks/ewma.rb".freeze, "lib/metriks/exponentially_decaying_sample.rb".freeze, "lib/metriks/gauge.rb".freeze, "lib/metriks/histogram.rb".freeze, "lib/metriks/meter.rb".freeze, "lib/metriks/registry.rb".freeze, "lib/metriks/reporter/graphite.rb".freeze, "lib/metriks/reporter/librato_metrics.rb".freeze, "lib/metriks/reporter/logger.rb".freeze, "lib/metriks/reporter/proc_title.rb".freeze, "lib/metriks/reporter/riemann.rb".freeze, "lib/metriks/simple_moving_average.rb".freeze, "lib/metriks/snapshot.rb".freeze, "lib/metriks/time_tracker.rb".freeze, "lib/metriks/timer.rb".freeze, "lib/metriks/uniform_sample.rb".freeze, "lib/metriks/utilization_timer.rb".freeze, "metriks.gemspec".freeze, "test/counter_test.rb".freeze, "test/gauge_test.rb".freeze, "test/graphite_reporter_test.rb".freeze, "test/histogram_test.rb".freeze, "test/librato_metrics_reporter_test.rb".freeze, "test/logger_reporter_test.rb".freeze, "test/meter_test.rb".freeze, "test/metriks_test.rb".freeze, "test/proc_title_reporter_test.rb".freeze, "test/registry_test.rb".freeze, "test/riemann_reporter_test.rb".freeze, "test/test_helper.rb".freeze, "test/thread_error_handling_tests.rb".freeze, "test/timer_test.rb".freeze, "test/utilization_timer_test.rb".freeze]
  s.homepage = "https://github.com/eric/metriks".freeze
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.rubygems_version = "1.3.5".freeze
  s.summary = "An experimental metrics client".freeze
  s.test_files = ["test/counter_test.rb".freeze, "test/gauge_test.rb".freeze, "test/graphite_reporter_test.rb".freeze, "test/histogram_test.rb".freeze, "test/librato_metrics_reporter_test.rb".freeze, "test/logger_reporter_test.rb".freeze, "test/meter_test.rb".freeze, "test/metriks_test.rb".freeze, "test/proc_title_reporter_test.rb".freeze, "test/registry_test.rb".freeze, "test/riemann_reporter_test.rb".freeze, "test/timer_test.rb".freeze, "test/utilization_timer_test.rb".freeze]

  s.specification_version = 2

  s.add_runtime_dependency(%q<atomic>.freeze, ["~> 1.0".freeze])
  s.add_runtime_dependency(%q<hitimes>.freeze, ["~> 1.1".freeze])
  s.add_runtime_dependency(%q<avl_tree>.freeze, ["~> 1.2.0".freeze])
  s.add_development_dependency(%q<mocha>.freeze, ["~> 0.10".freeze])
end
